Search for %s

  1. Search 7.x for %s
  2. Search 9.5.x for %s
  3. Search 10.3.x for %s
  4. Search 11.x for %s
  5. Search main for %s
  6. Other projects
Title Object type File name Summary
OffsetPage::$offset property core/modules/jsonapi/src/Query/OffsetPage.php The offset for the query.
OffsetPage::$size property core/modules/jsonapi/src/Query/OffsetPage.php The size of the query.
OffsetPage::createFromQueryParameter function core/modules/jsonapi/src/Query/OffsetPage.php Creates an OffsetPage object from a query parameter.
OffsetPage::DEFAULT_OFFSET constant core/modules/jsonapi/src/Query/OffsetPage.php Default offset.
OffsetPage::getOffset function core/modules/jsonapi/src/Query/OffsetPage.php Returns the current offset.
OffsetPage::getSize function core/modules/jsonapi/src/Query/OffsetPage.php Returns the page size.
OffsetPage::KEY_NAME constant core/modules/jsonapi/src/Query/OffsetPage.php The JSON:API pagination key name.
OffsetPage::OFFSET_KEY constant core/modules/jsonapi/src/Query/OffsetPage.php The offset key in the page parameter: page[offset].
OffsetPage::SIZE_KEY constant core/modules/jsonapi/src/Query/OffsetPage.php The size key in the page parameter: page[limit].
OffsetPage::SIZE_MAX constant core/modules/jsonapi/src/Query/OffsetPage.php Max size.
OffsetPage::__construct function core/modules/jsonapi/src/Query/OffsetPage.php Instantiates an OffsetPage object.
OffsetPageTest class core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php @coversDefaultClass \Drupal\jsonapi\Query\OffsetPage[[api-linebreak]]
@group jsonapi
OffsetPageTest.php file core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php
OffsetPageTest::parameterProvider function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php Data provider for testCreateFromQueryParameter.
OffsetPageTest::setUp function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php
OffsetPageTest::testCreateFromQueryParameter function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php @covers ::createFromQueryParameter[[api-linebreak]]
@dataProvider parameterProvider
OffsetPageTest::testCreateFromQueryParameterFail function core/modules/jsonapi/tests/src/Unit/Query/OffsetPageTest.php @covers ::createFromQueryParameter[[api-linebreak]]
off_canvas_test.info.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.info.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.info.yml
off_canvas_test.routing.yml file core/modules/system/tests/modules/off_canvas_test/off_canvas_test.routing.yml core/modules/system/tests/modules/off_canvas_test/off_canvas_test.routing.yml
OmittedData::__construct function core/modules/jsonapi/src/JsonApiResource/OmittedData.php OmittedData constructor.
onecol.css file core/modules/layout_discovery/layouts/onecol/onecol.css /*
* @file
* Provides the layout styles for layout_onecol.
*/
.layout--onecol .layout__region {
width: 100%;
}
oneplusfourgrid_section.css file core/profiles/demo_umami/themes/umami/layouts/oneplusfourgrid_section/oneplusfourgrid_section.css /*
* @file
* Provides the layout styles for two-column layout section.
*/

.layout--oneplusfourgrid-section {
display: flex;
flex-wrap: wrap;
}

.layout--oneplusfourgrid-section > .layout__region {
flex: 0 1 100%;
}

/* Large */
@media…
OpCodeCache::isEnabled function core/lib/Drupal/Component/Utility/OpCodeCache.php Checks if OpCodeCache is enabled.
OpenDialogCommand::$dialogOptions property core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Stores dialog-specific options passed directly to jQuery UI dialogs. Any
jQuery UI option can be used. See http://api.jqueryui.com/dialog.
OpenDialogCommand::$selector property core/lib/Drupal/Core/Ajax/OpenDialogCommand.php The selector of the dialog.
OpenDialogCommand::$settings property core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Custom settings that will be passed to the Drupal behaviors on the content
of the dialog.
OpenDialogCommand::getDialogOptions function core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Returns the dialog options.
OpenDialogCommand::setDialogOption function core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Sets a single dialog option value.
OpenDialogCommand::setDialogOptions function core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Sets the dialog options array.
OpenDialogCommand::setDialogTitle function core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Sets the dialog title (an alias of setDialogOptions).
OpenDialogCommand::__construct function core/lib/Drupal/Core/Ajax/OpenDialogCommand.php Constructs an OpenDialogCommand object.
OpenerResolver class core/modules/media_library/src/OpenerResolver.php Defines a class to get media library openers from the container.
OpenerResolver.php file core/modules/media_library/src/OpenerResolver.php
OpenerResolver::get function core/modules/media_library/src/OpenerResolver.php Gets a media library opener service from the container.
OpenerResolverInterface interface core/modules/media_library/src/OpenerResolverInterface.php Defines an interface to get a media library opener from the container.
OpenerResolverInterface.php file core/modules/media_library/src/OpenerResolverInterface.php
OpenerResolverInterface::get function core/modules/media_library/src/OpenerResolverInterface.php Gets a media library opener service from the container.
OpenModalDialogCommand::__construct function core/lib/Drupal/Core/Ajax/OpenModalDialogCommand.php Constructs an OpenModalDialog object.
OpenOffCanvasDialogCommand class core/lib/Drupal/Core/Ajax/OpenOffCanvasDialogCommand.php Defines an AJAX command to open content in a dialog in a off-canvas dialog.
OpenOffCanvasDialogCommand.php file core/lib/Drupal/Core/Ajax/OpenOffCanvasDialogCommand.php
OpenOffCanvasDialogCommand::DEFAULT_DIALOG_WIDTH constant core/lib/Drupal/Core/Ajax/OpenOffCanvasDialogCommand.php The dialog width to use if none is provided.
OpenOffCanvasDialogCommand::render function core/lib/Drupal/Core/Ajax/OpenOffCanvasDialogCommand.php Implements \Drupal\Core\Ajax\CommandInterface:render().
OpenOffCanvasDialogCommand::__construct function core/lib/Drupal/Core/Ajax/OpenOffCanvasDialogCommand.php Constructs an OpenOffCanvasDialogCommand object.
OpenOffCanvasDialogCommandTest class core/tests/Drupal/Tests/Core/Ajax/OpenOffCanvasDialogCommandTest.php @coversDefaultClass \Drupal\Core\Ajax\OpenOffCanvasDialogCommand[[api-linebreak]]
@group Ajax
OpenOffCanvasDialogCommandTest.php file core/tests/Drupal/Tests/Core/Ajax/OpenOffCanvasDialogCommandTest.php
OpenOffCanvasDialogCommandTest::dialogPosition function core/tests/Drupal/Tests/Core/Ajax/OpenOffCanvasDialogCommandTest.php The data provider for potential dialog positions.
OpenOffCanvasDialogCommandTest::testRender function core/tests/Drupal/Tests/Core/Ajax/OpenOffCanvasDialogCommandTest.php @covers ::render[[api-linebreak]]
OperationBase class core/modules/system/tests/modules/image_test/src/Plugin/ImageToolkit/Operation/test/OperationBase.php Provides a base class for test operations.
OperationBase.php file core/modules/system/tests/modules/image_test/src/Plugin/ImageToolkit/Operation/test/OperationBase.php
OperationBase::arguments function core/modules/system/tests/modules/image_test/src/Plugin/ImageToolkit/Operation/test/OperationBase.php Returns the definition of the operation arguments.

Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.